toolzerhub API Docs

List post comments

List comments for a public post. Send the response cursor to continue the list.

15 credits / requestBilled only on success
GET
/v2/rednote/posts/comments

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

post_id_or_url*string

Public RedNote post ID or URL.

Length1 <= length
cursor?string

Opaque continuation cursor from a previous response.

sort?string

Comment order. latest is the reliable chronological mode.

Default"latest"

Value in

  • "latest"
  • "popular"
  • "default"
curl -X GET "https://example.com/v2/rednote/posts/comments?post_id_or_url=https%3A%2F%2Fwww.xiaohongshu.com%2Fexplore%2F64f5a78c000000001f0163d1" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "comments": [      {        "id": "comment_123",        "content": "Lovely"      }    ],    "has_more": true,    "next_cursor": "eyJjdXJzb3IiOiJuZXh0In0"  }}